/* 
-----------------------------
Estilos Globales
-----------------------------
*/

body {
    color: #555454;
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-size: 2rem;
}

/* Ajustes para pantallas medianas y pequeñas */
@media (max-width: 768px) {
    body {
        font-size: 1.5rem;
    }
}

@media (max-width: 576px) {
    body {
        font-size: 1rem;
    }
}

/* 
-----------------------------
Banner de Contacto
-----------------------------
*/ 

.contacto {
    color: #FFCB31;
}

.contacto:hover {
    color:black;
}

/* 
-----------------------------
Encabezado (Header)
-----------------------------
*/

#cabecera {
    
    font-size: 1rem;
    text-align: center;
    background-color: rgb(77, 77, 77);
    color: white;
}

#cabecera p {
    margin-top: 0;
    margin-bottom: 0;
    padding-top: 3px;
}

/* 
-----------------------------
Menú Principal 
-----------------------------
*/
 
#menu {
    background-color: #fff9e6; 
   
}
.menu-principal {
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: #fcfcfc; 
    z-index: 99;
}
.logo{
    width: 65%;
}
/* Ajustes del logo para diferentes tamaños de pantalla */
@media (min-width: 600px) {
.logo  {
    width: 50%;
    }
}
    
@media (min-width: 900px) {
.logo  {
    width: 31%;
    }
}

.logo img {
    width: 100%;
}
/* Estilos del ícono del menú */
#menu-icon {
    cursor: pointer;
    display: block;
    width: 40px;
    height: 30px;
    margin-right: 5%;
    position: relative;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
}
/* Ajustes para diferentes tamaños de pantalla */
@media (max-width: 600px) {
    #menu-icon {
        margin-right:7%;
        
        }
}
@media (min-width: 601px) and (max-width: 900px) {
    #menu-icon {
    margin-right: 5%;
    }
}

.barra {
    width: 40px;
    height: 4px;
    background-color: #414141;
    margin: 6px 0;
    transition: 0.4s;
    
}

#menu-icon.open .barra:nth-child(2) {
    opacity: 0;
}

#menu-icon.open .barra:nth-child(1) {
    transform: rotate(-45deg);
    position: absolute;
    top: 10px;
}

#menu-icon.open .barra:nth-child(3) {
    transform: rotate(45deg);
    position: absolute;
    top: 10px;
}

/* 
-----------------------------
Menú Desplegable 
-----------------------------
*/

ul {
    list-style-type: none;
    position: fixed;
    top: 0;
    left: 0; /* Posiciona el menú en el lado izquierdo */
    width: 250px; /* Ancho del menú */
    height: 100%;
    background-color: #f9f9f9;
    overflow-x: hidden;
    transition: transform 0.5s ease-in-out;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
    font-weight: 500;
    transform: translateX(-100%); /* Esconde el menú */
    margin-top: 30px;
    border-radius: 0 10px 10px 0; /* Redondea los bordes derechos del menú */
    box-shadow: 2px 0 5px rgba(0, 0, 0, 0.1); /* Sombra sutil a la derecha del menú */
    border-left: 1px solid #e0e0e0; /* Borde sutil en el lado izquierdo */
    border-right: 1px solid #dcdcdc; /* Borde sutil en el lado derecho */
    box-shadow: -2px 0 5px rgba(0, 0, 0, 0.1); /* Sombra sutil en el lado izquierdo */
    background: linear-gradient(to right, #f9f9f9, #eaeaea); /* Gradiente de izquierda a derecha */
    z-index: 100;
}

.menu-section {
    font-size: 1.2rem;
    font-weight: bold;
    padding: 10px 20px;
    color: #FFCB31;
}

ul.open {
    transform: translateX(0); /* Muestra el menú */
}
    
ul li {
    
    padding: 15px 10px; /* Ajusta el primer valor (15px) para cambiar el espacio vertical */
    border-bottom: 1px solid #FFCB31;
}

ul li:last-child {
    border: none;
}

ul li a {
    font-size: 1.2rem;
    padding: 15px 20px;
    transition: background-color 0.3s, color 0.3s;
    color: #333;
    text-decoration: none;
    display: block;
    border-radius: 5px; /* Bordes redondeados para los enlaces */
   
}

ul li:hover {
    background-color: rgba(255, 203, 49, 0.1); /* Color de fondo al pasar el mouse */
}
ul li a:hover {
    color: #FFCB31; /* Color amarillo dorado al pasar el mouse */
}

ul li:hover a {
    background-color: #FFCB31;
    color: #fff;
}

.fas {
    margin-right: 10px;
}

#menu li:last-child {
    margin-bottom: 0px; /* Ajusta según sea necesario */
}

.social-media {
    text-align: center;
    padding: 10px 0;
    display: flex;
    justify-content: center;
    list-style-type: none; /* Elimina los estilos de lista */
}

.social-media a {
    margin: 0 10px;
    color: #333;
    font-size: 1.5rem;
    transition: color 0.3s;
}

.social-media a:hover {
    color: #FFCB31;
}

/* 
-----------------------------
Overlay (Fondo oscuro al mostrar el menú)
-----------------------------
*/

#overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.7);
    z-index: 9; /* Asegúrate de que este valor sea menor que el z-index del menú */
    display: none;
}




/* 
-----------------------------
PORTADA
-----------------------------
*/

.portada {
    max-width: 100vw; /* Máximo ancho del 100% del viewport */
    max-height: 100vh; /* Máximo alto del 100% del viewport */
    overflow: hidden; /* Esconde cualquier contenido que sobresalga */
    display: flex; /* Usa Flexbox para el centrado */
    justify-content: center; /* Centra horizontalmente */
    align-items: center; /* Centra verticalmente */
}
.portada img {
    max-width: 100%; /* Máximo ancho del 100% de su contenedor */
    max-height: 100%; /* Máximo alto del 100% de su contenedor */
    object-fit: contain; /* Asegura que la imagen se ajuste completamente al contenedor, manteniendo su relación de aspecto */
}

/* 
-----------------------------
VIDEO
-----------------------------
*/
.video-container {
    /* "position: relative;" establece el punto de partida para la posición de los elementos hijos. */
    position: relative;

    /* "overflow: hidden;" significa que cualquier cosa fuera de este contenedor será ocultada. */
    overflow: hidden;

    /* "width: 100%;" asegura que el contenedor de video se extienda a lo largo de todo el ancho de su contenedor padre. */
    width: 100%;

    /* "padding-top: 56.25%;" establece un espacio de relleno superior que es el 56.25% del ancho. Esta es una forma de mantener una relación de aspecto 16:9.
    (porque 9/16 = 0.5625). Si tienes un video con diferente relación de aspecto, tendrías que cambiar este valor. */
    padding-top: 56.25%; 
}


.video-container video {
    /* "position: absolute;" significa que el video se posicionará de manera absoluta con respecto a su contenedor padre que tiene "position: relative;". */
    position: absolute;
    /* "top: 0;" y "left: 0;" aseguran que el video se posicione en la esquina superior izquierda del contenedor. */
    top: 0;
    left: 0;
    /* "width: 100%;" y "height: 100%;" aseguran que el video se estire para llenar completamente el contenedor. */
    width: 100%;
    height: 100%;
}

h2, h3{
    text-align: center;
    margin-left: 3px;
    margin-right: 3px;
    background-color:#fcfcfc; 
}
.cursos p{
    font-size: 16px;
    text-align: right;
    margin-right: 2rem;;
}
h5{
    text-align: center;
    margin: 0;
    padding-bottom: 15px;
    background-color:#fcfcfc; 

}
/* 
-----------------------------
SECCIÓN CURSOS
-----------------------------
*/


/* 
-----------------------------
SECCIÓN PARTNERS
-----------------------------
*/

.partners {
    padding: 20px;
}

.partners-grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(60px, 1fr)); /* Ajustado el tamaño mínimo de las columnas */
    gap: 10px; /* Ajustado el espacio entre los elementos */
   
}

.partners-grid img {
    width: 100%;
    height: 70%;
    filter: grayscale(100%) brightness(130%);
}

/* 
-----------------------------
MENÚ VIAJES
-----------------------------
*/

#viajes , .cursos{
    background-color: #f1efef;
    padding: 20px 0;
}
.uk-usa{
    margin-top: 10px;
    width: 100%;
    height:100%;
    object-fit: contain;
}
.container-viajes, .container-cursos {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 20px; /* Espaciado entre las tarjetas */
}

.tarjeta-viaje, .tarjeta-curso {
    font-size: 1rem;
    margin-right: 60px;
    margin-left: 60px;
    flex: 1 0 300px; /* flex-grow: 1, flex-shrink: 0, flex-basis: 300px */
    max-width: 300px; /* Ancho máximo de la tarjeta */
    background-color: #ffffff;
    border-radius: 10px; /* Bordes redondeados */
    box-shadow: 0 0 10px rgba(0,0,0,0.15); /* Sombra sutil */
    overflow: hidden; /* Asegura que la imagen y el contenido no se desborden */
    text-align: center;
}

.tarjeta-viaje img, .tarjeta-curso img {
    width: 100%;
    height: 200px;
    object-fit: cover;
}

.tarjeta-viaje h3, .tarjeta-curso h3 {
    padding: 10px;
    text-align: center;
}

.tarjeta-viaje a, .tarjeta-curso a {
    
    display: block;
    padding: 10px;
    background-color: #FFCB31;
    color: #ffffff;
    text-decoration: none;
    transition: background-color 0.3s ease;
}

.tarjeta-viaje a:hover {
    background-color: #fcd52b;
}

/* 
-----------------------------
SECCIÓN SOBRE NOSOTROS
-----------------------------
*/

#about-us {
 margin-right: 3px;
 margin-left: 3px;
  color: #333;
  line-height: 1.5;
  background-color: #f8f9fa;
}

.container-about-us {
  max-width: 960px;
  margin: 0 auto;
  padding: 20px;
}

#about-us h1, #about-us h2 {
  color: #6c757d;
  font-family: 'Roboto', sans-serif;
}

#about-us h1 {
  font-size: 1.75em;
  margin-bottom: 15px;
}

#about-us h2 {
  font-size: 1.5em;
  margin-top: 30px;
}

#about-us p {
  font-size: 0.9em;
  margin-top: 10px;
}

/* 
-----------------------------
SECCIÓN MAPA
-----------------------------
*/

#pMapa{
font-size: 1rem;
}
/* Diseño Responsive */
@media (max-width: 768px) {
  .container-about-us {
    padding: 10px;
  }

  #about-us h1 {
    font-size: 1.5em;
  }

  #about-us h2 {
    font-size: 1.3em;
  }

  #about-us p {
    font-size: 0.85em;
  }
}

  .map-section {
    padding: 20px;
}

.directions {
    text-align: center;
    margin-bottom: 20px;
}

.map-container {
    max-width: 600px;
    margin: 0 auto;
    overflow: hidden;
    border-radius: 10px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
}

.map-container iframe {
    width: 100%;
    height: 450px;
    border: none;
}


/* 
-----------------------------
SECCIÓN TEAM
-----------------------------
*/
#team {
    background-color: #f8f9fa; /* Color de fondo claro */
    padding: 50px 0;
    text-align: center;
}

#team h2 {
    
    margin-bottom: 20px;
}

#team .intro-text, .outro-text {
    margin: 0 auto;
    max-width: 800px;
    margin-bottom: 40px;
}

.team-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}

.team-member {
    flex: 1;
    margin: 15px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1); /* Sombra suave alrededor de cada tarjeta */
    border-radius: 10px; /* Esquinas redondeadas */
    overflow: hidden;
    transition: transform 0.3s ease; /* Efecto de transición suave al pasar el mouse */
}

.team-member:hover {
    transform: scale(1.05); /* Efecto de aumento al pasar el mouse */
}

.team-member h3 {
    
    margin-top: 15px;
}

.team-member p {
    margin: 15px;
    font-size: 0.9rem;
}

/* Adaptaciones para pantallas medianas (por ejemplo, tablets) */
@media (max-width: 768px) {
    .team-container {
        flex-direction: column;
        align-items: center;
    }

    .team-member {
        width: 80%; /* Ocupa el 80% del ancho de la pantalla */
        margin-bottom: 30px;
    }
}

/* Adaptaciones para pantallas pequeñas (por ejemplo, smartphones) */
@media (max-width: 480px) {
    #team {
        padding: 30px 10px;
    }

    #team h2 {
        font-size: 1.3rem;
    }

    

    .team-member p {
        margin: 10px;
        font-size: 0.8rem;
    }
}

/* 
-----------------------------
BOTÓN CONTACTO
-----------------------------
*/
.contact-button {
    position: fixed;
    color: white;
    padding: 20px;
    border-radius: 50%;
    cursor: pointer;
    z-index: 90;
    transition: transform 0.3s ease, box-shadow 0.3s ease;
    box-shadow: 0px 4px 6px -1px rgba(0, 0, 0, 0.1), 0px 2px 4px -1px rgba(0, 0, 0, 0.06);
}

.contact-button:hover {
    transform: translateY(-5px);
    box-shadow: 0px 10px 15px -3px rgba(0, 0, 0, 0.1), 0px 4px 6px -2px rgba(0, 0, 0, 0.05);
    filter: brightness(1.1);
}

.contact-button a {
    color: white;
}

.contact-button i {
    font-size: 28px;
    margin: 0;
}

.whatsapp-button {
    background-color: #25D366; 
    bottom: 106.6px;
}

.mail-button {
    background-color: #D44638;
    bottom: 192px;
}

.instagram-button {
    background: linear-gradient(to right, #405DE6, #5851DB, #833AB4, #C13584, #E1306C, #FD1D1D);
    bottom: 278.4px;
}

.main-button {
    right: 10px;
    bottom: 10px;
    background-color: #FFCB31;
    display: none;
}

.whatsapp-button, .mail-button, .instagram-button {
    display: none;
    right: 7px;
}

@media (max-width: 669px) {
    .whatsapp-button {
        bottom: 99px;
    }
    .mail-button {
        bottom: 180px;
    }
    .instagram-button {
        bottom: 261px;
    }
}

.mail-button i {
    font-size: 22px; /* Ajusta el tamaño del ícono */
    margin: 0;
  
}

/* 
-----------------------------
SECCIÓN COOKIES
-----------------------------
*/

.cookie-banner {
    position: fixed;
    bottom: 0;
    left: 0;
    width: 100%;
    padding: 10px 20px;
    background-color: rgba(0, 0, 0, 0.9);
    color: #fff;
    font-family: Arial, sans-serif;
    display: flex;
    justify-content: space-between;
    align-items: center;
    z-index: 99;
}

.cookie-content p {
    margin: 0 25px 0 2px;            
    font-size: 0,7em;

}

.cookie-content a {
    color: #FFD700;
    text-decoration: underline;
    margin-left: 10px;
    font-size: 0.5em;
}

.cookie-buttons {
    display: flex;
    justify-content: center;
    gap: 10px;
}

.cookie-button {
    padding: 5px 15px;
    border: none;
    border-radius: 5px;
    font-size: 0.9em;
    cursor: pointer;
    margin-left: 5px;
}

.accept {
    background-color: #4CAF50;
    color: #fff;
}

.reject {
    background-color: #f44336;
    color: #fff;
}
#playButton {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    padding: 10px 20px;
    font-size: 18px;
    cursor: pointer;
}

/* 
-----------------------------
BOTÓN DESLIZAR HACIA ARRIBA
-----------------------------
*/
#backToTop {
    position: fixed;
    bottom: 20px;
    left: 20px; 
    z-index: 90;
    background-color: transparent;
    color: #FFD700;
    border: 2px solid #FFD700;
    border-radius: 50%;
    width: 50px;
    height: 50px;
    font-size: 24px;
    cursor: pointer;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.2);
    display: none; 
    display: flex;          
    justify-content: center; 
    align-items: center;     
    margin: 0;
    padding: 0;
}

#backToTop:hover {
    background-color: rgba(249, 242, 36, 0.1);
    transform: scale(1.05);
    transition: transform 0.3s ease, background-color 0.3s ease;
}

#backToTop i {
    margin: 0;
}
        